# The names of the modules to compile (separated by a space character)
gwt.module=project1.Project1 project2.Project2

# Folder within the web app context path where the output
# of the GWT module compilation will be stored.
# This setting is only used for GWT 1.5. For newer versions please use
# the rename-to attribute in the GWT module file (.gwt.xml).
gwt.output.dir=/org.yournamehere.Main

# Script output style: OBF[USCATED], PRETTY, or DETAILED
gwt.compiler.output.style=OBFUSCATED

# Additional JVM arguments for the GWT compiler
gwt.compiler.jvmargs=-Xmx61440m

# Specifies the number of local workers to use whe compiling permutations and module(s)
gwt.compiler.local.workers=1

# The level of logging detail: ERROR, WARN, INFO, TRACE, DEBUG,
gwt.compiler.logLevel=INFO

# Script output style: OBF[USCATED], PRETTY, or DETAILED
gwt.shell.output.style=OBFUSCATED

# The level of logging detail: ERROR, WARN, INFO, TRACE, DEBUG,
gwt.shell.logLevel=TRACE

# Additional JVM arguments for the GWT shell/GWT hosted mode (GWT 1.6)
# Add -d32 here and use at least GWT 1.7.1 to debug on a Mac
# (32-bit JVM is required by GWT for debugging before GWT 2.0)
gwt.shell.jvmargs=-Xmx61440m

# Java executable that should be used for the GWT Dev mode
# This can be used to choose a 32-bit JVM on a 64-bit OS
# (32-bit JVM is required by GWT for debugging before GWT 2.0)
# Leave the value empty if the default JVM should be used.
gwt.shell.java=

# GWT version: 1.5, 1.6, 1.7, 2.0 or 2.1
gwt.version=2.6

# since GWT 2.0
# Specifies the TCP port for the code server
gwt.shell.code.server.port=9997

# since GWT 2.0
# Specifies the TCP port for the embedded web server
gwt.shell.port=8888

# Additional GWT compiler arguments
# GWT 2.0/2.1 compiler supports these:
#  -workDir                The compiler's working directory for internal use (must be writeable; defaults to a system temp dir)
#  -gen                    Debugging: causes normally-transient generated types to be saved in the specified directory
#  -ea                     Debugging: causes the compiled output to check assert statements
#  -XdisableClassMetadata  EXPERIMENTAL: Disables some java.lang.Class methods (e.g. getName())
#  -XdisableCastChecking   EXPERIMENTAL: Disables run-time checking of cast operations
#  -validateOnly           Validate all source code, but do not compile
#  -draftCompile           Enable faster, but less-optimized, compilations
#  -compileReport          Create a compile report that tells the Story of Your Compile
#  -localWorkers           The number of local workers to use when compiling permutations
#  -extra                  The directory into which extra files, not intended for deployment, will be written
gwt.compiler.args=

# Additional JVM arguments for JUnit tests
gwt.test.jvmargs=-Xmx61440m

# Additional arguments for the GWT shell
# e.g. -bindAddress 0.0.0.0 since GWT 2.0.1
gwt.shell.args=
gwt.debug.openbrowser=no
gwt.debug.superdev=no
